#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const clear_1 = __importDefault(require("clear"));
const commander_1 = require("commander");
const figlet_1 = __importDefault(require("figlet"));
const path_1 = __importDefault(require("path"));
const process_1 = __importDefault(require("process"));
const downloader_1 = __importDefault(require("../downloader"));
(0, clear_1.default)();
console.log(chalk_1.default.red(figlet_1.default.textSync('firebase-fd', {
    horizontalLayout: 'full',
})));
const program = new commander_1.Command();
program
    .version('0.0.1')
    .description('Automatically download Firebase/Google Cloud Functions code')
    .option('-o, --output <value>', 'Output path where functions will be downloaded to', path_1.default.join(process_1.default.cwd(), 'functions'))
    .requiredOption('-p, --project <value>', 'Project to download from')
    .requiredOption('-r, --region <value>', 'Region where functions are deployed in')
    .parse(process_1.default.argv);
const options = program.opts();
console.log(options);
(0, downloader_1.default)(options)
    .then(() => {
    console.log('Success');
})
    .catch((error) => {
    console.log('Failed: ', error);
});
//# sourceMappingURL=index.js.map